document.addEventListener('DOMContentLoaded', function() {
    // start chat
    setTimeout(() => {
        appendMessage('bot', 'Hola soy pesitoBot, ¿En que puedo ayudarte?');
    }, 1000);

});


document.getElementById('sendButton').addEventListener('click', function() {
    const message = document.getElementById('inputMessage').value;
    if (message.trim() !== '') {
        appendMessage('user', message);
        document.getElementById('inputMessage').value = '';

        if(message){
            let xhr = new XMLHttpRequest();
            xhr.open("POST", 'http://127.0.0.1:8000/chatbot', true);
            xhr.setRequestHeader("Content-Type", "application/json");

            xhr.onreadystatechange = function () {
                if (xhr.readyState === 4 && xhr.status === 200) {
                    let json = JSON.parse(xhr.responseText);
                    debugger;
                    console.log(json);
                    appendMessage('bot', json.message)
                } else if (xhr.readyState === 4) {
                    console.log('error', xhr.responseText);
                    appendMessage('bot', 'No puedo procesar lo que me pides ☹️ , intenta con otra cosa.😀');
                }
            };

            let data = JSON.stringify({
                "message": message  // Cambié 'prompt' por 'message'
            });

            xhr.send(data);
        } else {
            setTimeout(() => {
                appendMessage('bot', 'No se lo que dices pero mientes!');
            }, 1000);
        }
    }
});

//add message to chat container
function appendMessage(sender, message) {
    const messageElement = document.createElement('div');
    messageElement.classList.add('message', sender);
    if(sender == 'user'){
        messageElement.innerHTML = `<div class="message-content">${message}</div>`;
    }else{ //bot
        messageElement.innerHTML = `<img src="src/img/pesitobot.png" alt="/src/img/PesitoBot.png" style="width: 100px; height: 100px; margin-left: -15px;"><div class="message-content">${message}</div>`;
    }
    document.getElementById('chat-container').appendChild(messageElement);
    document.getElementById('chat-container').scrollTop = document.getElementById('chat-container').scrollHeight;
}

//new development of the chatbot (only front-end)